Bug 132910 - PATCH fix and upgrade of devel/papi port
PATCH fix and upgrade of devel/papi port
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 18:50 UTC by redcrash
Modified: 2009-03-23 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.77 KB, patch)
2009-03-21 18:50 UTC, redcrash
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description redcrash 2009-03-21 18:50:02 UTC
Fixed the compilation using gfortran.
Also updated the package (3.5.0 vs 3.6.2)

NOTE1: The configure script needs that the kernel has the hwpmc module loaded 
NOTE2: As the package depends on the CPU, it requires to be compiled locally. It could be a good idea to set NO_PACKAGE in the Makefile ?

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-03-21 18:50:13 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2009-03-22 15:37:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov freebsd_committer 2009-03-23 23:32:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2009-03-23 23:32:51 UTC
amdmi3      2009-03-23 23:32:29 UTC

  FreeBSD ports repository

  Modified files:
    devel/papi           Makefile distinfo pkg-plist 
  Added files:
    devel/papi/files     patch-freebsd.c 
  Log:
  - Update to 3.6.2
  - Unbreak
  - Add check for hwpmc module (required to be loaded in order to build the port)
  - Add NO_PACKAGE for the same reason
  
  PR:             132910
  Submitted by:   Harald Servat Gelabert <redcrash at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.13      +16 -16    ports/devel/papi/Makefile
  1.4       +3 -3      ports/devel/papi/distinfo
  1.1       +20 -0     ports/devel/papi/files/patch-freebsd.c (new)
  1.3       +1 -3      ports/devel/papi/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"